## org.eclipse.emf.cdo.defs
Interface CDOClientProtocolFactoryDef

All Superinterfaces:
  org.eclipse.net4j.defs.ClientProtocolFactoryDef, org.eclipse.net4j.util.defs.Def, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, org.eclipse.net4j.defs.ProtocolProviderDef

All Known Implementing Classes:
  CDOClientProtocolFactoryDefImpl

    public interface CDOClientProtocolFactoryDef

extends org.eclipse.net4j.defs.ClientProtocolFactoryDef

A representation of the model object 'CDO Client Protocol Factory Def'.

See Also:
  `CDODefsPackage.getCDOClientProtocolFactoryDef()`

Method Summary

Methods inherited from interface org.eclipse.net4j.util.defs.Def
`getInstance, isTouched, unsetInstance`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Copyright (c) 2004 - 2009 Eike Stepper (Berlin, Germany) and others. All Rights Reserved.